本站所有文章均为原创,如对您有帮助,恳请帮忙点击任何一处广告

修改python环境变量导致yum不可用的修复办法

发布:TangLu2019-9-4 17:54分类: 系统管理 标签: yum python

由于yum依赖于Python 2.x版本,如果在配置Python 3.x时把原有的环境变量进行了替换,那使用yum命令时会出现不可用的情况,报错如下:
File "/usr/bin/yum", line 30
except KeyboardInterrupt, e:
^
SyntaxError: invalid syntax


恢复办法:
修改/usr/bin/yum和/usr/libexec/urlgrabber-ext-down这2个文件的第一行,将其中的#!/usr/bin/python路径修改为python2的即可
温馨提示如有转载或引用以上内容之必要,敬请将本文链接作为出处标注,谢谢合作!
et_highlighter51
版权所有:《Linux运维技术学习站点
文章标题:《修改python环境变量导致yum不可用的修复办法
除非注明,文章均为 《Linux运维技术学习站点》 原创
转载请注明本文短网址:http://www.linuxe.cn/post-522.html  [生成短网址]

已有 0/169 人参与

发表评论:

欢迎分享Linux运维技术学习站点

欢迎使用手机扫描访问本站,还可以关注微信哦~